{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "bootapp": {
      "root": "src/main",
      "sourceRoot": "src/main/webapp",
      "projectType": "application",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "outputPath": "build/www/app",
            "index": "src/main/webapp/index.html",
            "main": "src/main/webapp/app/app.main.ts",
            "tsConfig": "src/main/webapp/../../../tsconfig.json",
            "polyfills": "src/main/webapp/app/polyfills.ts",
            "assets": [
              "src/main/webapp/content"
            ],
            "styles": [
              "src/main/webapp/content/css/vendor.css",
              "src/main/webapp/content/css/global.css",
              "src/main/webapp/content/less/andt.less"
            ],
            "scripts": [
              "src/main/node_modules/echarts/dist/echarts.min.js"
            ]
          },
          "configurations": {
            "production": {
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "extractCss": true,
              "namedChunks": false,
              "aot": true,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true
            }
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "bootapp:build"
          },
          "configurations": {}
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "bootapp:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "src/main/webapp/src/test/javascript/spec/entry.ts",
            "karmaConfig": "src/test/javascript/karma.conf.js",
            "polyfills": "src/main/webapp/app/polyfills.ts",
            "scripts": [
              "src/main/node_modules/echarts/dist/echarts.min.js"
            ],
            "styles": [
              "src/main/webapp/content/css/vendor.css",
              "src/main/webapp/content/css/global.css",
              "src/main/webapp/content/less/andt.less"
            ],
            "assets": [
              "src/main/webapp/content"
            ]
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "../../../tsconfig.json",
              "../../../tsconfig-aot.json"
            ],
            "exclude": []
          }
        }
      }
    },
    "bootapp-e2e": {
      "root": "src/main/e2e",
      "sourceRoot": "src/main/e2e",
      "projectType": "application"
    }
  },
  "defaultProject": "bootapp",
  "cli": {
    "packageManager": "yarn"
  },
  "schematics": {
    "@schematics/angular:component": {
      "inlineStyle": true,
      "inlineTemplate": false,
      "spec": false,
      "prefix": "smart",
      "styleext": "css"
    },
    "@schematics/angular:directive": {
      "spec": false,
      "prefix": "smart"
    },
    "@schematics/angular:guard": {
      "spec": false
    },
    "@schematics/angular:pipe": {
      "spec": false
    },
    "@schematics/angular:service": {
      "spec": false
    }
  }
}